#============================================================================
# prog_usage_cc_base.mk

PROG_USAGE_CC_BASE_MK =

# the caller must set POD_SRC to the name of the pod source file
# e.g.:

#  POD_SRC = $(top_srcdir)/docs/$(PACKAGE_NAME).pod 
#  POD_SRC = $(srcdir)/bin.pod 

POD_SRC +=

# if POD_SRC is found via VPATH, then the command may not have
# the correct path to it, depending upon the make (Solaris make will
# rewrite the command, GNU make won't).  To catch this error early,
# explicitly check for the existence of it.
%D%/usage.cc : $(POD_SRC)
	test -f $? || { echo "Bad VPATH in Makefile"; false; }
	pod2text < $? | ( cd %D% ; text2usage -pfx usage -csfx .cc )

MAINTAINERCLEANFILES	+= %D%/usage.cc %D%/usage.h
EXTRA_DIST		+= %D%/usage.cc %D%/usage.h
BUILT_SOURCES		+= %D%/usage.cc
